import React from "react";
import 'react-calendar-heatmap/dist/styles.css';
import {AnimatePresence, motion} from "framer-motion";
import VisibilitySensor from "react-visibility-sensor";


export default class CopyrightNotice extends React.Component<null, {currentStep: number}> {
    constructor(props) {
        super(props);

        this.state = {
            currentStep: 0
        }
    }


    render() {
        let content;

        switch (this.state.currentStep) {
            case 0:
                content = (
                    <>
                        copyright networkException $&#123;new Date().getFullYear()&#125;
                    </>
                );
                break;
            case 1:
                content = (
                    <>
                        copyright networkException&nbsp;
                        <span style={{color: "rgb(96, 104, 114)"}}>$</span>
                        <span style={{color: "rgb(120, 129, 141)"}}>&#123;</span>
                        <span style={{color: "rgb(73, 79, 86)"}}>new&nbsp;</span>
                        <span style={{color: "rgb(96, 104, 114)"}}>Date</span>
                        <span style={{color: "rgb(120, 129, 141)"}}>(</span>
                        <span style={{color: "rgb(120, 129, 141)"}}>)</span>
                        <span style={{color: "rgb(114, 119, 124)"}}>.</span>
                        <span style={{color: "rgb(96, 104, 114)"}}>getFullYear</span>
                        <span style={{color: "rgb(120, 129, 141)"}}>(</span>
                        <span style={{color: "rgb(120, 129, 141)"}}>)</span>
                        <span style={{color: "rgb(120, 129, 141)"}}>&#125;</span>
                    </>
                );
                break;
            case 2:
                content = (
                    <>copyright networkException {new Date().getFullYear()};</>
                );
                break;
        }

        return (
            <div className={"relative"}>
                <VisibilitySensor partialVisibility onChange={(visible) => {
                    console.log(visible);

                    if(visible) {
                        setTimeout(() => {
                            this.setState({currentStep: 1});
                        }, 4000);

                        setTimeout(() => {
                            this.setState({currentStep: 2});
                        }, 8000);
                    }
                }}>
                    <AnimatePresence initial={false}>
                        <motion.div
                            className={"absolute inset-0 text-center"}
                            key={this.state.currentStep}
                            initial={{opacity: 0}}
                            animate={{opacity: 1}}
                            exit={{opacity: 0}}
                        >
                            {content}
                        </motion.div>
                    </AnimatePresence>
                </VisibilitySensor>
            </div>
        );
    }
}