import React from "react";
import useSWR from "swr";
import fetch from "node-fetch";
import CalendarHeatmap from "react-calendar-heatmap";
import 'react-calendar-heatmap/dist/styles.css';

// @ts-ignore
const fetcher = (...args) => fetch(...args).then(res => res.json())

export interface GitActivityProps {

}

export const GitActivity: React.FunctionComponent = () => {
    const { data, error } = useSWR('/api/getGitActivity', fetcher);

    if (error) {
        return (
            <div>FAILED TO LOAD</div>
        );
    }
    else if (!data) {
        return (
            <div>LOADING</div>
        );
    }
    else {
        // let d = JSON.parse(data.data);

        let startDate = new Date(data.data[data.data.length - 1].date);
        startDate.setDate(startDate.getDate() - 365);

        console.log(data.data);

        let largest = 0;

        for(let dataPoint of data.data) {
            if(dataPoint.count > largest) {
                largest = dataPoint.count;
            }
        }

        console.log(largest);

        return (
            <div className={"w-1/2"}>
                <CalendarHeatmap
                    startDate={startDate}
                    endDate={data.data[data.data.length - 1].date}
                    values={data.data}
                    classForValue={(obj) => {
                        let value = obj.count;

                        let ret = "fill-current ";

                        if (!value) {
                            ret += "text-primary-100";
                        }
                        else {
                            if(value <= largest * 0.25) {
                                ret += "text-primary-200";
                            }
                            else if (value <= largest * 0.5) {
                                ret += "text-primary-300";
                            }
                            else if (value <= largest * 0.75) {
                                ret += "text-primary-400";
                            }
                            else {
                                ret += "text-primary-500";
                            }
                        }

                        return ret;
                    }}
                />
            </div>
        );
    }
}
