import React from "react"
import { Story, Meta } from "@storybook/react/types-6-0"
import { SocialBadge, SocialBadgeProps } from "."

export default {
  title: "Component/SocialBadge",
  component: SocialBadge,
  argTypes: {
    title: { description: "The text displayed to the right of the icon" },
    link: { description: "The link that is opened when the Badge is clicked" },
    imagePath: { description: "The path to the circular image on the left" },
  }
} as Meta

const Template: Story<SocialBadgeProps> = (args) => <SocialBadge {...args} />

// Default scenario
export const Default = Template.bind({})
Default.args = {}

// GitHub Variant
export const Github = Template.bind({})
Github.args = {
  title: "github.com",
  link: "https://github.com/networkException",
  imagePath: "/assets/icons/github.svg"
}
