const purgeEnabled = process.env.NODE_ENV === "production"

console.log("\n")
console.log(`   TailwindCSS \n`)
console.log(`   ----------- \n`)
console.log(`   ✅ purgeEnabled=${purgeEnabled}\n`)

module.exports = {
    purge: {
        enabled: purgeEnabled,
        content: ["./src/**/*.html", "./src/**/*.tsx", "./src/**/*.jsx"]
    },
    darkMode: 'class', // or 'media' or 'class'
    theme: {
        extend: {
            screens: {
                '3xl': '1900px',
            },
            colors: {
                'primary': {
                    100: '#FEE7D1',
                    200: '#FDD0A3',
                    300: '#FCB875',
                    400: '#FBA047',
                    500: '#fb8919',
                },
                'secondary': {
                    100: '#8f969e',
                    200: '#78818d',
                    300: '#72777c',
                    400: '#606872',
                    500: '#494f56',
                    600: '#2d3135'
                }
            }
        }
    },
    variants: {
        extend: {}
    },
    plugins: []
}
